## File progress dialog File progress dialog — A dialog to show progress indicator for file operations. |

## Functions

FmProgressDisplay * | fm_file_ops_job_run_with_progress ()

## Types and Values

| FmProgressDisplay

## Description

`include` : libfm/fm-gtk.h

## Functions

### fm_file_ops_job_run_with_progress ()

    FmProgressDisplay *
    fm_file_ops_job_run_with_progress (GtkWindow *parent,
                                       FmFileOpsJob *job);

Runs the file operation job with a progress dialog. The returned data structure will be freed in idle handler automatically when it's not needed anymore.

NOTE: INCONSISTENCY: it takes a reference from job

Before 0.1.15 this call had different arguments.

#### Parameters

parent | parent window to show dialog over it |
job | job descriptor to run. | [transfer full]

#### Returns

progress data; not usable; caller should not free it either.

[transfer none]

Since: 0.1.0

## Types and Values

### FmProgressDisplay

    typedef struct _FmProgressDisplay FmProgressDisplay;